### Method

# Gimp CMYK set

#### Declaration [src]

    void
    gimp_cmyk_set (
      GimpCMYK* cmyk,
      gdouble cyan,
      gdouble magenta,
      gdouble yellow,
      gdouble black
    )

#### Description [src]

Very basic initialiser for the internal `GimpCMYK` structure. Channel values are doubles in the range 0 to 1.

#### Parameters

`cyan` | `gdouble`
| The Cyan channel of the CMYK value.
`magenta` | `gdouble`
| The Magenta channel.
`yellow` | `gdouble`
| The Yellow channel.
`black` | `gdouble`
| The blacK channel.